Gentoo Archives: gentoo-commits

From: Brian Evans <grknight@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/mysql:master commit in: dev-db/mysql-cluster/
Date: Sun, 31 Aug 2014 22:31:53
Message-Id: 1409524202.979d55dc2be044eb5c42c43630ee635496364251.grknight@gentoo
1 commit: 979d55dc2be044eb5c42c43630ee635496364251
2 Author: Brian Evans <grknight <AT> gentoo <DOT> org>
3 AuthorDate: Sun Aug 31 22:30:02 2014 +0000
4 Commit: Brian Evans <grknight <AT> gentoo <DOT> org>
5 CommitDate: Sun Aug 31 22:30:02 2014 +0000
6 URL: http://sources.gentoo.org/gitweb/?p=proj/mysql.git;a=commit;h=979d55dc
7
8 Add multilib version of mysql-cluster
9
10 ---
11 dev-db/mysql-cluster/Manifest | 1 +
12 dev-db/mysql-cluster/mysql-cluster-7.3.6-r1.ebuild | 134 +++++++++++++++++++++
13 2 files changed, 135 insertions(+)
14
15 diff --git a/dev-db/mysql-cluster/Manifest b/dev-db/mysql-cluster/Manifest
16 index 8cba333..f94d5ed 100644
17 --- a/dev-db/mysql-cluster/Manifest
18 +++ b/dev-db/mysql-cluster/Manifest
19 @@ -1,2 +1,3 @@
20 DIST mysql-cluster-gpl-7.2.17.tar.gz 25882680 SHA256 d5bbf0fa7eda8056d01f564a9f50cba65794eefb07cb3c7b6b8819a86a66927b SHA512 ade82886867d897b23a6487c4efbbecef6842129a2b96df2a6097da73f4715e4e5ec4858f357d1e3f7eab5e1b4dc86bb89cd1ffe560ce17388ce26b06c5abd96 WHIRLPOOL cdf34ba72f971328a5ef10650df4a4ef482bfe6800543835fe5ea818f0fc8e8b57fda9c0608486fcada3590d84413c8e6c68db892ce1b36777c5bdce902e466b
21 DIST mysql-cluster-gpl-7.3.6.tar.gz 42119293 SHA256 7f5405485ce05c88bd907269a75f161826ec92d763b46717a24880c378fd6dd4 SHA512 044a8854f61c7e4cb23343f84bf5c734244bbba8adc12a8a2c72d9febab4c1dbb404a7680aa0315de0df5459433eb578bc04f9ec169f0c2492e13e28aec6729d WHIRLPOOL 49b3eb455bad577d2a2d9d67c2fe78fef15ef184e7b56080d54f0a683f9a6596836108b727ed892a43dc0dc135ee65ab9293ddf0ad5f1587e41d31609090c8b6
22 +DIST mysql-extras-20140801-1950Z.tar.bz2 1494288 SHA256 a656486a7383d656ed33e279f41bb4384feba082cad3af48376ce9e1f395fe0b SHA512 b2c29c3d7c1ddacfa170125c9df0aaf65eac9f6112244b1deea97a46a3a2f2bd3eb069808e7b2ee3261d609b32046363830ba4ebcc7e74f449189a91145a6f9c WHIRLPOOL 41befc03a7382516849ecaecc1d02be7d00c47be489b97ce68c320c3aa8979c8f941525efe230d97ad2d1a85936a1e4d6c93d96a3f45930991a938e5f0fdab87
23
24 diff --git a/dev-db/mysql-cluster/mysql-cluster-7.3.6-r1.ebuild b/dev-db/mysql-cluster/mysql-cluster-7.3.6-r1.ebuild
25 new file mode 100644
26 index 0000000..5b579f5
27 --- /dev/null
28 +++ b/dev-db/mysql-cluster/mysql-cluster-7.3.6-r1.ebuild
29 @@ -0,0 +1,134 @@
30 +# Copyright 1999-2014 Gentoo Foundation
31 +# Distributed under the terms of the GNU General Public License v2
32 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.3.6-r1.ebuild,v 1.1 2014/08/31 20:59:52 grknight Exp $
33 +
34 +EAPI=5
35 +MY_EXTRAS_VER="20140801-1950Z"
36 +
37 +inherit toolchain-funcs java-pkg-opt-2 mysql-multilib
38 +# only to make repoman happy. it is really set in the eclass
39 +IUSE="$IUSE"
40 +
41 +# REMEMBER: also update eclass/mysql*.eclass before committing!
42 +KEYWORDS="~amd64 ~x86"
43 +
44 +# When MY_EXTRAS is bumped, the index should be revised to exclude these.
45 +# This is often broken still
46 +#EPATCH_EXCLUDE='02040_all_embedded-library-shared-5.1.43.patch '
47 +
48 +DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
49 +RDEPEND="!media-sound/amarok[embedded]"
50 +
51 +# Please do not add a naive src_unpack to this ebuild
52 +# If you want to add a single patch, copy the ebuild to an overlay
53 +# and create your own mysql-extras tarball, looking at 000_index.txt
54 +
55 +# Official test instructions:
56 +# USE='cluster extraengine perl ssl community' \
57 +# FEATURES='test userpriv -usersandbox' \
58 +# ebuild mysql-cluster-X.X.XX.ebuild \
59 +# digest clean package
60 +multilib_src_test() {
61 +
62 + if ! multilib_is_native_abi ; then
63 + einfo "Server tests not available on non-native abi".
64 + return 0;
65 + fi
66 +
67 + local TESTDIR="${CMAKE_BUILD_DIR}/mysql-test"
68 + local retstatus_unit
69 + local retstatus_tests
70 +
71 + # Bug #213475 - MySQL _will_ object strenously if your machine is named
72 + # localhost. Also causes weird failures.
73 + [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
74 +
75 + if ! use "minimal" ; then
76 +
77 + if [[ $UID -eq 0 ]]; then
78 + die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
79 + fi
80 + has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
81 +
82 + einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
83 + addpredict /this-dir-does-not-exist/t9.MYI
84 +
85 + # Run CTest (test-units)
86 + cmake-utils_src_test
87 + retstatus_unit=$?
88 + [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
89 +
90 + # Ensure that parallel runs don't die
91 + export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
92 + # Enable parallel testing, auto will try to detect number of cores
93 + # You may set this by hand.
94 + # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
95 + export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
96 +
97 + # create directories because mysqladmin might right out of order
98 + mkdir -p "${S}"/mysql-test/var-tests{,/log}
99 +
100 + # These are failing in MySQL 5.5/5.6 for now and are believed to be
101 + # false positives:
102 + #
103 + # main.information_schema, binlog.binlog_statement_insert_delayed,
104 + # main.mysqld--help-notwin, funcs_1.is_triggers funcs_1.is_tables_mysql,
105 + # funcs_1.is_columns_mysql, binlog.binlog_mysqlbinlog_filter,
106 + # perfschema.binlog_edge_mix, perfschema.binlog_edge_stmt,
107 + # mysqld--help-notwin, funcs_1.is_triggers, funcs_1.is_tables_mysql, funcs_1.is_columns_mysql
108 + # perfschema.binlog_edge_stmt, perfschema.binlog_edge_mix, binlog.binlog_mysqlbinlog_filter
109 + # fails due to USE=-latin1 / utf8 default
110 + #
111 + # main.mysql_client_test:
112 + # segfaults at random under Portage only, suspect resource limits.
113 + #
114 + for t in \
115 + binlog.binlog_mysqlbinlog_filter \
116 + binlog.binlog_statement_insert_delayed \
117 + funcs_1.is_columns_mysql \
118 + funcs_1.is_tables_mysql \
119 + funcs_1.is_triggers \
120 + main.information_schema \
121 + main.mysqld--help-notwinfuncs_1.is_triggers \
122 + main.mysql_client_test \
123 + mysqld--help-notwin \
124 + perfschema.binlog_edge_mix \
125 + perfschema.binlog_edge_stmt \
126 + ; do
127 + mysql-multilib_disable_test "$t" "False positives in Gentoo"
128 + done
129 + # ndb.ndbinfo, ndb_binlog.ndb_binlog_index: latin1/utf8
130 + for t in \
131 + ndb.ndbinfo \
132 + ndb_binlog.ndb_binlog_index ; do
133 + mysql-multilib_disable_test "$t" "False positives in Gentoo (NDB)"
134 + done
135 +
136 + # Run mysql tests
137 + pushd "${TESTDIR}"
138 +
139 + # run mysql-test tests
140 + perl mysql-test-run.pl --force --vardir="${S}/mysql-test/var-tests"
141 + retstatus_tests=$?
142 + [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
143 + has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
144 +
145 + popd
146 +
147 + # Cleanup is important for these testcases.
148 + pkill -9 -f "${S}/ndb" 2>/dev/null
149 + pkill -9 -f "${S}/sql" 2>/dev/null
150 +
151 + failures=""
152 + [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
153 + [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
154 + has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
155 +
156 + [[ -z "$failures" ]] || die "Test failures: $failures"
157 + einfo "Tests successfully completed"
158 +
159 + else
160 +
161 + einfo "Skipping server tests due to minimal build."
162 + fi
163 +}